"{ Package: 'stx:libcomp' }"

ParseNode subclass:#SelectorNode
	instanceVariableNames:'value'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-CodeView-Syntax'
!

!SelectorNode class methodsFor:'documentation'!

documentation
"
    A (helper) node that represents a selector (or its part).
    SelectorNodes are not directly created nor used by the
    parser/compiler itself.

    Some custom subclasses (syntax highlighters for instance)
    makes use of it.

    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]
        SyntaxHighlighter2

"
! !

!SelectorNode class methodsFor:'instance creation'!

value: selector from: start to: end

    ^self new
        value: selector;
        startPosition:start endPosition: end

    "Created: / 16-02-2012 / 20:56:22 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SelectorNode methodsFor:'accessing'!

value
    ^ value
!

value:aString
    value := aString.
! !

!SelectorNode methodsFor:'testing'!

isSelector

    ^true

    "Created: / 16-02-2012 / 21:04:15 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SelectorNode class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libcomp/SelectorNode.st,v 1.1 2012-02-16 23:20:10 vrany Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libcomp/SelectorNode.st,v 1.1 2012-02-16 23:20:10 vrany Exp $'
! !
